package com.kernelmaft.zanbur.common



object Config {
	const val MQTT_SERVER_HOST = "merovech.kernelmaft.com"
	const val MQTT_SERVER_PORT = 1883
	const val MQTT_TOPIC = "zigbee2mqtt"

	val groups = listOf (
		Group ( 0 , "All lights" , listOf (
			Scene ( 0 , "All off" ) ,
			Scene ( 1 , "Bright, warm, purple accent" ) ,
			Scene ( 2 , "Medium-bright, warm, purple accent" ) ,
			Scene ( 3 , "Dim, warm, purple accent" ) ,
			Scene ( 4 , "Medium-bright, cold, no accent" ) ,
		) )
	)
}
