package com.kernelmaft.zanbur.network

import com.kernelmaft.zanbur.common.*
import com.kernelmaft.zanbur.common.Config.MQTT_TOPIC
import kotlinx.serialization.*
import kotlinx.serialization.json.*



fun publishSceneChange ( group : Group , newScene : Scene ) {
	val topic = MQTT_TOPIC + "/" + group . name + "/set"
	val packet = Json . encodeToString ( SceneRecallPacket ( newScene . id ) )
		. toByteArray ()
		. asUByteArray ()
	MqttClient . publish ( topic , packet )
}

@Serializable private data class SceneRecallPacket (
	@SerialName ("scene_recall") val sceneRecall : Int ,
)
